- [HTTP request](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.threads/modify#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.threads/modify#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.threads/modify#body.request_body)
  - [JSON representation](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.threads/modify#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.threads/modify#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.threads/modify#body.aspect)
- [Try it!](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.threads/modify#try-it)

Modifies the labels applied to the thread. This applies to all messages in the thread. For more information, see [Manage threads](https://developers.google.com/workspace/gmail/api/guides/threads).

### HTTP request

`POST https://gmail.googleapis.com/gmail/v1/users/{userId}/threads/{id}/modify`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `userId` | `string` The user's email address. The special value `me` can be used to indicate the authenticated user. |
| `id` | `string` The ID of the thread to modify. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "addLabelIds": [ string ], "removeLabelIds": [ string ] } ``` |

| Fields ||
|---|---|
| `addLabelIds[]` | `string` A list of IDs of labels to add to this thread. You can add up to 100 labels with each update. |
| `removeLabelIds[]` | `string` A list of IDs of labels to remove from this thread. You can remove up to 100 labels with each update. |

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.threads#Thread`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://mail.google.com/`
- `
  https://www.googleapis.com/auth/gmail.modify`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).